using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

// Foo Namespaces
using Foo.ClientServices.ButtonWPForm;
using Foo.ClientServices.GUIWPForms;

namespace Foo.ClientServices.GUIDebugStepExe
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class GUIDebugStepTestForm : Window
    {

        // Private Members
        GUIWPForms.GUIWPForms m_Gui = null;
        ButtonWPForm.ButtonWPFormCCW m_ButtonForm = null;

        public GUIDebugStepTestForm()
        {
            InitializeComponent();
        }

        private void btnLaunchArtifactWall_Click(object sender, RoutedEventArgs e)
        {
            m_Gui.LaunchArtifactWall(IntPtr.Zero);
        }

        private void btnWorkspaceSelector_Click(object sender, RoutedEventArgs e)
        {            
            m_Gui.LaunchWorkspaceSelector(IntPtr.Zero);
        }

        private void btnSettingsNMain_Click(object sender, RoutedEventArgs e)
        {
            m_Gui.LaunchSettingsNAboutUs(IntPtr.Zero);
        }

        private void btnButtonForm_Click(object sender, RoutedEventArgs e)
        {      
        }

        private void wvGUIDebugStepTestForm_Loaded(object sender, RoutedEventArgs e)
        {
            // Instantiate the objects
            m_Gui = new GUIWPForms.GUIWPForms();
            //m_ButtonForm = new ButtonWPForm.ButtonWPFormCCW();

            // instantiate any dependent threads, etc
            m_Gui.Start();
            //m_ButtonForm.Start();
        }

        private void wvGUIDebugStepTestForm_Closed(object sender, EventArgs e)
        {
            // close any dependent threads
            m_Gui.Stop();
            //m_ButtonForm.Stop();

            // delete objects
            m_Gui = null;
            //m_ButtonForm = null;
        }
    }
}
